/*
 * This file is part of Applied Energistics 2.
 * Copyright (c) 2013 - 2014, AlgorithmX2, All rights reserved.
 *
 * Applied Energistics 2 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Applied Energistics 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Applied Energistics 2.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package appeng.util;


import appeng.api.util.IReadOnlyCollection;

import java.util.Collection;
import java.util.Iterator;


public class ReadOnlyCollection<T> implements IReadOnlyCollection<T>
{

	private final Collection<T> c;

	public ReadOnlyCollection( final Collection<T> in )
	{
		this.c = in;
	}

	@Override
	public Iterator<T> iterator()
	{
		return this.c.iterator();
	}

	@Override
	public int size()
	{
		return this.c.size();
	}

	@Override
	public boolean isEmpty()
	{
		return this.c.isEmpty();
	}

	@Override
	public boolean contains( final Object node )
	{
		return this.c.contains( node );
	}
}
